apiVersion: v1
kind: Secret
metadata:
  name: authentication-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.authentication.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.authentication.configs.appName | b64enc | quote }}
  DEVSVC_WEBAPI_URL_BASE: {{ .Values.authentication.configs.devsvcWebapiUrlBase | b64enc | quote }}
  NOTIFICATION_WEBAPI_URL_BASE: {{ .Values.authentication.configs.notificationWebapiUrlBase | b64enc | quote }}
  JWT_ALGORITHM: {{ .Values.authentication.configs.jwtAlgorithm | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.authentication.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.authentication.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.authentication.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.authentication.configs.mongodbPort | toString | b64enc }}
  METRICS_ENABLED: {{ .Values.authentication.configs.metricsEnabled | default false | toString | b64enc }}
  PROBES_ENABLED: {{ .Values.authentication.configs.probesEnabled | default false | toString | b64enc }}
  